%global pypi_name darkdetect


Name:           python-%{pypi_name}
Version:        0.7.1
Release:        1%{?dist}
Summary:        Detect dark mode in Python
License:        BSD-3-Clause
URL:            https://github.com/albertosottile/darkdetect
Source:         %{pypi_source %{pypi_name} %{version}}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Darkdetect allows a Python GUI application to detect if dark mode is enabled.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%generate_buildrequires
%pyproject_buildrequires 


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Fri Mar 17 2023 David Ward <david.ward@ll.mit.edu> - 0.8.0-1
- Initial package.
